<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = 'invoexp.php';
$formname = 'INVOICE EXPORT';
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$series = $_REQUEST["series"];
$para = $_REQUEST["para"];

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`voucher` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND b.`name` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`owner` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND b.`name` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND c.`gcode` = '$searchTerm'";
        } 
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`voucher` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND b.`name` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`owner` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND b.`name` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND c.`gcode` LIKE '%$searchTerm%'";
        } 
    }
}

$sortcond = "ORDER BY b.`name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`voucher`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY b.`name";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`owner`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY c.`gcode`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
}else{
    $ordcond = " ASC";
}

$query = "SELECT a.vouchno, a.voucher, a.owner, a.partyname, a.godown, b.accode, b.name as consignee, 
          c.code, c.gcode as godown FROM `salemainexp` a, `accmast` b , `godown` c 
          WHERE a.partyname = b.accode and a.godown= c.code 
          $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    
    
    
//    $mlen = strlen($r['voucher']);
//    $vouch = str_repeat("0", 6 - $mlen) . $r['voucher'];

    $rows[] = [ 'success' => true,
        'voucher' => $r[voucher],
        'consignee' => $r[consignee],
        'owner' => $r[owner],
        'party' => $r[party],
        'godown' => $r[godown],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
